Skip to main content
GET
/
external-apps
/
{idOrKeyOrUuid}
Get a single app
curl --request GET \
  --url https://api.getmembrane.com/external-apps/{idOrKeyOrUuid} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "key": "<string>",
  "isReadOnly": true,
  "uuid": "<string>",
  "name": "<string>",
  "appUri": "<string>",
  "logoUri": "<string>",
  "defaultConnectorId": "<string>",
  "categories": [
    "<string>"
  ],
  "popularity": 123,
  "isPublic": true,
  "isConnected": true,
  "basePackageId": "<string>",
  "readmeSlug": "<string>",
  "hasAuth": true,
  "hasData": true,
  "hasFreeTestAccount": true,
  "freeTestAccountGuide": "<string>",
  "freeTestAccountGuideVerifiedAt": "2023-11-07T05:31:56Z",
  "openapiSpecs": [
    {
      "name": "<string>",
      "sourceUri": "<string>"
    }
  ],
  "tenantId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idOrKeyOrUuid
string
required

App ID, key, or UUID

Response

200 - application/json
id
string
required
key
string
required
isReadOnly
boolean
required
uuid
string
required
name
string
required
appUri
string<uri>
required
logoUri
string<uri>
required
defaultConnectorId
string
required
categories
string[]
required
popularity
number
required
isPublic
boolean
isConnected
boolean
basePackageId
string
readmeSlug
string
hasAuth
boolean
hasData
boolean
hasFreeTestAccount
boolean | null
freeTestAccountGuide
string
freeTestAccountGuideVerifiedAt
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
openapiSpecs
object[]
tenantId
string